Bug 1461421 - mongodb-3.4.6 is available
mongodb-3.4.6 is available
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: mongodb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Skalický
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 08:21 EDT by Upstream Release Monitoring
Modified: 2017-08-23 05:03 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2017-06-14 08:21:05 EDT
Latest upstream release: 3.4.5
Current version/release in rawhide: 3.4.3-1.fc27
URL: http://www.mongodb.org/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2008/
Comment 1 Upstream Release Monitoring 2017-06-14 08:21:22 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.
Comment 2 Upstream Release Monitoring 2017-07-05 20:20:07 EDT
Latest upstream release: 3.4.6
Current version/release in rawhide: 3.4.3-1.fc27
URL: http://www.mongodb.org/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2008/
Comment 3 Upstream Release Monitoring 2017-07-05 20:20:17 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.
Comment 4 Petr Pisar 2017-07-25 07:59:52 EDT
The mongodb-3.4.6-2.fc27 failed to build and latest 3.4.3-1.fc27 build cannot be installed because it run-requires old boost:

# LANG=en_US.UTF-8 dnf install --enablerepo=f27-build mongodb-server
Last metadata expiration check: 0:02:22 ago on Tue 25 Jul 2017 01:56:18 PM CEST.
Error: 
 Problem: conflicting requests
  - nothing provides libboost_system.so.1.63.0()(64bit) needed by mongodb-server-3.4.3-1.fc27.x86_64

This breaks building other packages that uses mongodb-server for tests, e.g. perl-MongoDB.
Comment 5 Petr Pisar 2017-07-25 08:15:10 EDT
The build 3.4.6 build fails on s390x only because all tests fail there like this:

[executor:cpp_unit_test] 2017-07-24T14:39:52.662+0000 Starting execution of cpp_unit_tests...
[executor:cpp_unit_test:job0] 2017-07-24T14:39:52.667+0000 Running base_test...
build/opt/mongo/base/base_test
[cpp_unit_test:base_test] 2017-07-24T14:39:52.667+0000 Starting Program build/opt/mongo/base/base_test under executor with_server...
build/opt/mongo/base/base_test
[cpp_unit_test:base_test] 2017-07-24T14:39:52.718+0000 Program build/opt/mongo/base/base_test started with pid 18463.
[cpp_unit_test:base_test] 2017-07-24T14:39:53.540+0000 Can not start so late. You have to enable heap checking with HEAPCHECK=<mode>.
[executor:cpp_unit_test:job0] 2017-07-24T14:39:54.620+0000 base_test ran in 1.95 seconds.

Does the error message (Can not start so late) come from a bundled gperftools (src/third_party/gperftools-2.5/src/heap-checker.cc)? Fedora's gperftools has this s390x conditional spec code:

%ifnarch s390x
BuildRequires:  libunwind-devel
%endif
Comment 6 Upstream Release Monitoring 2017-08-14 10:18:35 EDT
mskalick's mongodb-3.4.6-3.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=930068
Comment 7 Fedora Update System 2017-08-22 04:15:12 EDT
mongodb-3.4.6-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8fd05288a7
Comment 8 Fedora Update System 2017-08-23 05:03:52 EDT
mongodb-3.4.6-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8fd05288a7

Note You need to log in before you can comment on or make changes to this bug.